Packages require rebuild due to new GHC6

Bug #320946 reported by Iain Lane on 2009-01-24
4
Affects Status Importance Assigned to Milestone
haskell-binary (Ubuntu)
Medium
Unassigned
haskell-hlist (Ubuntu)
Medium
Unassigned
haskell-irc (Ubuntu)
Medium
Unassigned
haskell-pcre-light (Ubuntu)
Medium
Unassigned
haskell-utf8-string (Ubuntu)
Medium
Unassigned
haskell-vty (Ubuntu)
Medium
Unassigned
highlighting-kate (Ubuntu)
Medium
Unassigned
pandoc (Ubuntu)
Medium
Unassigned

Bug Description

Hi,

Some packages require rebuilding due to the new GHC +dfsg revision. Quoting from the Debian bug:

"While the immediate issue (libgmp in ghc6) is fixed, there's still a
bunch of uninstallable packages around. As of this writing, these
need a binNMU:

haskell-hlist, haskell-binary, highlighting-kate, haskell-irc,
haskell-utf8-string, pandoc, haskell-pcre-light

These need an upload to remove ghc6 (<< 6.8.2-999) from the build
dependencies (they currently FTBFS).

ftphs, haskell-anydbm, haskell-configfile, haskell-hsh, hdbc,
hdbc-odbc, hdbc-postgresql, hdbc-sqlite3, hslogger, ldap-haskell,
listlike, magic-haskell, missingh, missingpy, washngo"

Iain Lane (laney) wrote :

haskell-utf8-string (0.3.1.1-2build1) jaunty; urgency=low

  * Rebuild to correct dependency on new GHC6 (LP: #320946).

 -- Iain Lane <email address hidden> Sat, 24 Jan 2009 21:13:40 +0000

Iain Lane (laney) wrote :

haskell-utf8-string (0.3.1.1-2build1) jaunty; urgency=low

  * Rebuild to correct dependency on new GHC6 (LP: #320946).

 -- Iain Lane <email address hidden> Sat, 24 Jan 2009 21:13:40 +0000

Changed in haskell-utf8-string:
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package haskell-utf8-string - 0.3.1.1-2build1

---------------
haskell-utf8-string (0.3.1.1-2build1) jaunty; urgency=low

  * Rebuild to correct dependency on new GHC6 (LP: #320946).

 -- Iain Lane <email address hidden> Sat, 24 Jan 2009 21:13:40 +0000

Changed in haskell-utf8-string:
status: Confirmed → Fix Released
Changed in haskell-binary:
importance: Undecided → Medium
Changed in haskell-hlist:
importance: Undecided → Medium
Changed in haskell-irc:
importance: Undecided → Medium
Changed in haskell-pcre-light:
importance: Undecided → Medium
Changed in haskell-utf8-string:
importance: Undecided → Medium
Changed in highlighting-kate:
importance: Undecided → Medium
Changed in pandoc:
importance: Undecided → Medium
Iain Lane (laney) wrote :
Iain Lane (laney) wrote :
Iain Lane (laney) wrote :
Iain Lane (laney) wrote :
Iain Lane (laney) wrote :
Iain Lane (laney) wrote :

Needs to wait until after pcre-light

Iain Lane (laney) wrote :
Changed in highlighting-kate:
status: New → Incomplete
Changed in haskell-vty:
importance: Undecided → Wishlist
importance: Wishlist → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package haskell-binary - 0.4.1-3build1

---------------
haskell-binary (0.4.1-3build1) jaunty; urgency=low

  * No-change rebuild to pick up new GHC (LP: #320946).

 -- Iain Lane <email address hidden> Sun, 25 Jan 2009 15:03:43 +0000

Changed in haskell-binary:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package haskell-vty - 3.0.1-1build1

---------------
haskell-vty (3.0.1-1build1) jaunty; urgency=low

  * No-change rebuild to pick up new GHC (LP: #320946).

 -- Iain Lane <email address hidden> Sun, 25 Jan 2009 15:06:17 +0000

Changed in haskell-vty:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package haskell-irc - 0.4.3-1build1

---------------
haskell-irc (0.4.3-1build1) jaunty; urgency=low

  * No-change rebuild to pick up new GHC (LP: #320946).

 -- Iain Lane <email address hidden> Sun, 25 Jan 2009 15:05:45 +0000

Changed in haskell-irc:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package haskell-pcre-light - 0.3.1-5build1

---------------
haskell-pcre-light (0.3.1-5build1) jaunty; urgency=low

  * No-change rebuild to pick up new GHC (LP: #320946).

 -- Iain Lane <email address hidden> Sun, 25 Jan 2009 15:15:37 +0000

Changed in haskell-pcre-light:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package haskell-hlist - 2.0+darcs20070929-1build1

---------------
haskell-hlist (2.0+darcs20070929-1build1) jaunty; urgency=low

  * No-change rebuild to pick up new GHC (LP: #320946).

 -- Iain Lane <email address hidden> Sun, 25 Jan 2009 15:05:16 +0000

Changed in haskell-hlist:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pandoc - 0.46+2build1

---------------
pandoc (0.46+2build1) jaunty; urgency=low

  * No-change rebuild to pick up new GHC (LP: #320946).

 -- Iain Lane <email address hidden> Sun, 25 Jan 2009 15:07:22 +0000

Changed in pandoc:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package highlighting-kate - 0.2.1-3build1

---------------
highlighting-kate (0.2.1-3build1) jaunty; urgency=low

  * No-change rebuild to pick up new GHC (LP: #320946).

 -- Iain Lane <email address hidden> Sun, 25 Jan 2009 15:06:44 +0000

Changed in highlighting-kate:
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers